djvubind(1)

NAME
djvubind - Create high-quality djvu files, including positional ocr, metadata, and bookmarks.

SYNOPSIS
djvubind [--quiet] [--verbose] [--no-ocr]
         [--bookmarks=<filename>] [--metadata=<filename>]
         [--cover-front=<filename>] [--cover-back=<filename>]
         [--ocr-engine=(tesseract|cuneiform)]
         [--tesseract-options=<string>] [--cuneiform-options=<string>]
         [--title-start=<filename>] [--title-uppercase] [--title-exclude=<filename>:<string>]
         directory

DESCRIPTION
Djvubind facilitates creating high-quality djvu files, especially digital versions of scanned books. It functions as a wrapper that combines the djvulibre tools, minidjvu, and various ocr engines to provide a simple, single command creation of a djvu file.

TITLE EXAMPLES
Suppose your directory contains the following: page_000.tif, page_001.tif, page002.tif, page_003.tif, page_004.tif

    command: djvubind --title-start=page_002.tif
    titles: i, ii, 1, 2, 3

    command: djvubind --title-start=page_002.tif --title-exclude=page_003.tif:blank
    titles: i, ii, 1, blank, 2

Front and back cover images, if present, are automatically given titles of "cover" and "back cover". If --title-start is not given, no pages will be titled.

OPTIONS

--bookmarks=<filename>
    Specifies an alternate bookmarks file. The format of this file should be similar to what is produced by "djvused -e 'print-outline'". By default, "bookmarks" is used if present.

--cover-front=<filename>
    Specifies an alternate front cover image. By default, "cover_front.jpg" is used if present.

--cover-back=<filename>
    Specifies an alternate back cover image. By default, "cover_back.jpg" is used if present.

--metadata=<filename>
    Specifies an alternate metadata file. The format of this file should be similar to what is produced by "djvused -e 'print-meta'". By default, "metadata" is used if present.

--no-ocr
    Images will not be processed for text content.

--ocr-engine=(tesseract|cuneiform)
    Specifies which ocr engine to use. Tesseract is the default.

--tesseract-options=<string> --cuneiform-options=<string>
    Passes custom options to the respective ocr engine (see their manpages for options).

--title-start=<filename>
    Prior to this image, pages will be titled with roman numerals (i, ii, iii...). Starting with this page, they will be titled with arabic numerals (1, 2, 3...)

--title-uppercase
    Roman numeral titles will be in uppercase (I, II, III...).

--title-exclude=<filename>:<string>
    This image will not be included in sequential page titling. If you want a unique title, append a colon and the title.

-q | --quiet
    No status information will be given.

-v | --verbose
    Additional information will be given, which is intended to help debugging.

AUTHOR
Written by Adam A. Zajac <strider1551@gmail.com>